Summary:	Hardware identification and configuration data
Name:		hwdata
Version:	0.309
Release:	1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		https://github.com/vcrhonek/hwdata
Source0:	https://github.com/vcrhonek/hwdata/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
Source1:	sdio.ids
Conflicts:	ldetect-lst < 0.1.318-1
BuildArch:	noarch

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids and usb.ids databases.

%files
%doc LICENSE COPYING
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/*.ids
%{_datadir}/misc/*.ids

#------------------------------------------------------------------

%prep
%setup -q
%apply_patches
%configure

%build
# nothing to build

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/misc
cp -f %{SOURCE1} %{buildroot}%{_datadir}/%{name}/

# kmod-compat provides the equivalent black lists of the drivers 
# in /etc/modprobe.d already.
rm -f %{buildroot}%{_libdir}/modprobe.d/dist-blacklist.conf

###compatibilty symlink, remove when it is no longer needed
cd %{buildroot}%{_datadir}/
ln -s %{name}/usb.ids usb.ids
ln -s %{name}/pci.ids pci.ids
ln -s %{name}/pnp.ids pnp.ids
ln -s ../%{name}/pnp.ids misc/pnp.ids
###end of it

%changelog

* Thu Feb 22 2018 alekseyz <a.zimin@rosalinux.ru> 0.309-1
- (57210c7) Merge pull request #4 from import/hwdata:rosa2016.1
- (57210c7) Updated to 0.309


